package ru.yandex.autotests.directapi.darkside.model.bslogs.clientdata;

import com.google.gson.annotations.SerializedName;

public class AdditionalTargeting {
    @SerializedName("EID")
    private Long eid;

    @SerializedName("TargetingType")
    private String targetingType;

    @SerializedName("TargetingMode")
    private String targetingMode;

    @SerializedName("ValueJoinType")
    private String valueJoinType;

    @SerializedName("Value")
    private String value;


    public String getTargetingType() {
        return targetingType;
    }

    public void setTargetingType(String targetingType) {
        this.targetingType = targetingType;
    }

    public AdditionalTargeting withTargetingType(String targetingType) {
        this.targetingType = targetingType;
        return this;
    }

    public String getTargetingMode() {
        return targetingMode;
    }

    public void setTargetingMode(String targetingMode) {
        this.targetingMode = targetingMode;
    }

    public AdditionalTargeting withTargetingMode(String targetingMode) {
        this.targetingMode = targetingMode;
        return this;
    }


    public String getValueJoinType() {
        return valueJoinType;
    }

    public AdditionalTargeting withValueJoinType(String valueJoinType) {
        this.valueJoinType = valueJoinType;
        return this;
    }

    public void setValueJoinType(String valueJoinType) {
        this.valueJoinType = valueJoinType;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public AdditionalTargeting withValue(String value) {
        this.value = value;
        return this;
    }

    public Long getEid() {
        return eid;
    }

    public void setEid(Long eid) {
        this.eid = eid;
    }

    public AdditionalTargeting withEid(Long eid) {
        this.eid = eid;
        return this;
    }
}
